class AR::Events::DialogNodeActivatedEvent < AR::Events::Event
  attr_participant :npc
  attr_accessor :dialog_node

  def initialize params
    super params
    self.dialog_node = params[:dialog_node]
  end 


  def resolve!
    #eventy stuff
    results = super
    results.push(dialog_node.events)
    unless dialog_node.limbs.empty?
      engine.trigger_after_step AR::Events::DialogMenuPresented, dialog_node: dialog_node
    end
    results
  end 

end
